PonyProg :  PonyProg Phorum PonyProg
PonyProg open discussion 
installing error in linux
Posted by: paco_espinola ()
Date: October 21, 2007 07:29AM

Hi
I am trying to built pony prog from source in linux
make runs ok
but when I run make install
I got the following error
make[1]: Entering directory `/root/D-PACO/D-PIC/D-PONYPIC/PonyProg2000-2.07a/v'
make ARCH=linuxelf installVLinux
make[2]: Entering directory `/root/D-PACO/D-PIC/D-PONYPIC/PonyProg2000-2.07a/v'
You must run this as root
chmod 644 /root/D-PACO/D-PIC/D-PONYPIC/PonyProg2000-2.07a/v/lib/*.so.1.25
chmod: cannot access `/root/D-PACO/D-PIC/D-PONYPIC/PonyProg2000-2.07a/v/lib/*.so.1.25': No such file or directory
make[2]: *** [installVLinux] Error 1
make[2]: Leaving directory `/root/D-PACO/D-PIC/D-PONYPIC/PonyProg2000-2.07a/v'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/root/D-PACO/D-PIC/D-PONYPIC/PonyProg2000-2.07a/v'
make: *** [install] Error 2

Any clue about this error ?

thank you

Options: ReplyQuote
Re: installing error in linux
Posted by: lancos ()
Date: January 03, 2008 02:35PM

make sure the ARCH is linux and not linuxelf in file v/Config.mk
linuxelf enable shared library instead of static linking.

On CVS the Config.mk is correct.



Edited 1 time(s). Last edit at 01/03/2008 02:38PM by lancos.

Options: ReplyQuote
Re: installing error in linux
Posted by: Anonymous User ()
Date: January 05, 2008 11:09AM

Hello Lancos,

i tryed to install ponyprog 2.07a on my laptop runing fedora 8 (with gnome desktop). after changing the homev variable to the absolute path to the directory v , the make command fails with the following error message(s):

e2phead.h:42: warning: ‘packed’ attribute ignored for field of type ‘char [8]’
e2phead.h:43: warning: ‘packed’ attribute ignored for field of type ‘UBYTE’
e2phead.h:44: warning: ‘packed’ attribute ignored for field of type ‘UBYTE’
e2phead.h:47: warning: ‘packed’ attribute ignored for field of type ‘UBYTE’
e2phead.h:50: warning: ‘packed’ attribute ignored for field of type ‘UBYTE’
e2phead.h:52: warning: ‘packed’ attribute ignored for field of type ‘char [28]’
e2phead.h:54: warning: ‘packed’ attribute ignored for field of type ‘char [86]’

PonyProg2000-2.07a/v/includex/v/vdebug.h:28: warning: extra qualification ‘vDebugDialog::’ on member ‘SetDebug’

businter.h:42: warning: ‘class BusInterface’ has virtual functions but non-virtual destructor
make: *** [ponyioint.o] Error 1

any idea?

thanks
detonablue

Options: ReplyQuote
Re: installing error in linux
Posted by: lancos ()
Date: January 05, 2008 12:41PM

Strange!! They are all warning, no error message.

Whay version of g++ are you using? On my ubuntu 7.10 I have to use g++-3.4,
it seems that new gcc 4 can't compile PonyProg.

I updated v/Config.mk on CVS to use gcc-3.4 and g++-3.4 by default

Cheers,
Claudio Lanconelli

Options: ReplyQuote
installing error in linux
Posted by: pin88303 ()
Date: March 11, 2008 12:43AM

Hi,

I try to compile ponyprog but i got some error message:

<<006interf.cpp >dep.file
cd v; make vlib
make[1]: entrant dans le répertoire « /home/marc/Desktop/PonyProg2000-2.07a/v »
cd srcx ; make
make[2]: entrant dans le répertoire « /home/marc/Desktop/PonyProg2000-2.07a/v/srcx »
make[2]: *** Pas de règle pour fabriquer la cible « v_defs.h », nécessaire pour « /home/marc/PonyProg/objx/vapp.o ». Arrêt.
make[2]: quittant le répertoire « /home/marc/Desktop/PonyProg2000-2.07a/v/srcx »
make[1]: *** [srcx] Erreur 2
make[1]: quittant le répertoire « /home/marc/Desktop/PonyProg2000-2.07a/v »
make: *** [vlib] Erreur 2
>>

I verified Config.mk( seems ok: gcc-3.4, arch=linux).

I'm running unbuntu feisty with 2.6.20-16-generic kernel.

Any idee?

Sincerely

Marc

Options: ReplyQuote
Re: installing error in linux
Posted by: lemonsaro ()
Date: April 27, 2008 10:16AM

I've got the same messages than user 88303. I checked the Config.mk file but didn't find any error (I downloaded the .tar.gz file from Sourceforge). Is there something we have to correct in our files?

Thanks a lot

Options: ReplyQuote
Re: installing error in linux
Posted by: py8elo ()
Date: September 30, 2011 01:17PM

Hi all,
I get similar error when I try to compile the PonyProg on Ubuntu 11.04. See below:

py8elo@py8elo-OEM:~/PonyProg2000-2.07c$ make
cd v; make vlib
make[1]: Entrando no diretório `/home/py8elo/PonyProg2000-2.07c/v'
cd srcx ; make
make[2]: Entrando no diretório `/home/py8elo/PonyProg2000-2.07c/v/srcx'
g++-4.5 -c -fpermissive -Wno-deprecated -I/home/py8elo/PonyProg2000-2.07c/v/includex -I/usr/X11R6/include -O2 -DAthena -o /home/py8elo/PonyProg2000-2.07c/v/objx/vapp.o vapp.cxx
vapp.cxx:200:5: warning: deprecated conversion from string constant to ‘char*’
vapp.cxx:200:5: warning: deprecated conversion from string constant to ‘char*’
vapp.cxx:200:5: warning: deprecated conversion from string constant to ‘char*’
vapp.cxx:200:5: warning: deprecated conversion from string constant to ‘char*’
vapp.cxx:200:5: warning: deprecated conversion from string constant to ‘char*’
vapp.cxx:200:5: warning: deprecated conversion from string constant to ‘char*’
vapp.cxx:200:5: warning: deprecated conversion from string constant to ‘char*’
vapp.cxx: In member function ‘void vApp::initialize(int&, char**)’:
vapp.cxx:354:7: warning: deprecated conversion from string constant to ‘char*’
vapp.cxx:354:7: warning: deprecated conversion from string constant to ‘char*’
vapp.cxx:491:32: warning: deprecated conversion from string constant to ‘char*’
g++-4.5 -c -fpermissive -Wno-deprecated -I/home/py8elo/PonyProg2000-2.07c/v/includex -I/usr/X11R6/include -O2 -DAthena -o /home/py8elo/PonyProg2000-2.07c/v/objx/vawinfo.o vawinfo.cxx
g++-4.5 -c -fpermissive -Wno-deprecated -I/home/py8elo/PonyProg2000-2.07c/v/includex -I/usr/X11R6/include -O2 -DAthena -o /home/py8elo/PonyProg2000-2.07c/v/objx/vbaseitm.o vbaseitm.cxx
g++-4.5 -c -fpermissive -Wno-deprecated -I/home/py8elo/PonyProg2000-2.07c/v/includex -I/usr/X11R6/include -O2 -DAthena -o /home/py8elo/PonyProg2000-2.07c/v/objx/vbasewin.o vbasewin.cxx
vbasewin.cxx: In copy constructor ‘vBaseWindow::vBaseWindow(const vBaseWindow&winking smiley’:
vbasewin.cxx:28:73: warning: deprecated conversion from string constant to ‘char*’
g++-4.5 -c -fpermissive -Wno-deprecated -I/home/py8elo/PonyProg2000-2.07c/v/includex -I/usr/X11R6/include -O2 -DAthena -o /home/py8elo/PonyProg2000-2.07c/v/objx/vbtncmd.o vbtncmd.cxx
vbtncmd.cxx:34:26: fatal error: X11/Xaw/Form.h: Arquivo ou diretório não encontrado
compilation terminated.
make[2]: ** [/home/py8elo/PonyProg2000-2.07c/v/objx/vbtncmd.o] Erro 1
make[2]: Saindo do diretório `/home/py8elo/PonyProg2000-2.07c/v/srcx'
make[1]: ** [srcx] Erro 2
make[1]: Saindo do diretório `/home/py8elo/PonyProg2000-2.07c/v'
make: ** [vlib] Erro 2


I am running kernel 2.6.39.4
GCC and G++ are 4.5.2

Any help will be very appreciated!

Thanks in advance and Best regards,

Silva.

Options: ReplyQuote
Re: installing error in linux
Posted by: lancos ()
Date: November 06, 2011 08:11PM

py8elo Wrote:
-------------------------------------------------------
> g++-4.5 -c -fpermissive -Wno-deprecated
> -I/home/py8elo/PonyProg2000-2.07c/v/includex
> -I/usr/X11R6/include -O2 -DAthena -o
> /home/py8elo/PonyProg2000-2.07c/v/objx/vbtncmd.o
> vbtncmd.cxx
> vbtncmd.cxx:34:26: fatal error: X11/Xaw/Form.h:
> Arquivo ou diretório não encontrado
> compilation terminated.
> make[2]: ** Erro 1
> make[2]: Saindo do diretório
> `/home/py8elo/PonyProg2000-2.07c/v/srcx'
> make[1]: ** Erro 2
> make[1]: Saindo do diretório
> `/home/py8elo/PonyProg2000-2.07c/v'
> make: ** Erro 2
>
>
> I am running kernel 2.6.39.4
> GCC and G++ are 4.5.2
>
> Any help will be very appreciated!
>
> Thanks in advance and Best regards,
>
> Silva.


You need X11 development files, try
sudo apt-get install libxt-dev libxaw7-dev

download latest source files 2.08b from sourceforge

Options: ReplyQuote
Re: installing error in linux
Posted by: Rich ()
Date: November 25, 2011 12:02PM

source files do not appear to be available on sourceforge search?

Options: ReplyQuote
Re: installing error in linux
Posted by: Claudio ()
Date: January 26, 2012 10:24AM

The link is here:

http://sourceforge.net/projects/ponyprog/files/PonyProg%20sources/2.08b/

Options: ReplyQuote
Re: installing error in linux
Posted by: bolt-thrower ()
Date: July 10, 2012 03:37AM

make: *** No rule to make target `v/lib/libVx.a', needed by `bin/ponyprog2000'. Stop.

I got this error while compiling ponyporg 2.08 in my Ubuntu 12.04 64bit pc.
No idea why this happens. I'm not a c++ programmer. Any help would be appreciated.

Thank you

SEEDO

Options: ReplyQuote
Re: installing error in linux
Posted by: Carlo ()
Date: October 18, 2012 02:38PM

Try with a
make cleanall
make

Options: ReplyQuote
Re: installing error in linux
Posted by: Raja ()
Date: January 18, 2013 02:01PM

how to install ponyprog2000-2.07c on RHEL 5

Options: ReplyQuote
Re: installing error in linux
Posted by: Sarge ()
Date: May 22, 2013 05:29PM

Hi,

i'm trying to install Ponyprog2000-2.08b on Fedora17 and im getting the following error:

[sergeant@sergeant-mob PonyProg2000-2.08b]$ sudo make

cd v; make vlib
make[1]: Entering directory `/home/sergeant/Downloads/PonyProg2000-2.08b/v'
cd srcx ; make
make[2]: Entering directory `/home/sergeant/Downloads/PonyProg2000-2.08b/v/srcx'
Makefile:145: *** recipe commences before first target. Schluss.
make[2]: Leaving directory `/home/sergeant/Downloads/PonyProg2000-2.08b/v/srcx'
make[1]: *** [srcx] Fehler 2
make[1]: Leaving directory `/home/sergeant/Downloads/PonyProg2000-2.08b/v'
make: *** [vlib] Fehler 2

unfortunately i'm not experienced with makefiles so i don't see the problem. I hope anyone can help.

Thanks Sarge.

Options: ReplyQuote
Re: installing error in linux
Posted by: mcrven ()
Date: February 12, 2014 11:06PM

Hello there,

I am trying to install PonyProg2000-2.07 on my kubuntu 12.10. After a hard job I succesfully installed gcc_g++ ver 3.4 but, still have a problem when "make".

mcrven@mcrven-KM400:~/Descargas/PonyProg2000-2.07c$ make
cd v; make vlib
make[1]: se ingresa al directorio «/home/mcrven/Descargas/PonyProg2000-2.07c/v»
cd srcx ; make
make[2]: se ingresa al directorio «/home/mcrven/Descargas/PonyProg2000-2.07c/v/srcx»
make[2]: *** No hay ninguna regla para construir el objetivo «v_defs.h», necesario para «/home/mcrven/Progetti/PonyProg_Sourceforge/software/v/objx/vapp.o». Alto.
make[2]: se sale del directorio «/home/mcrven/Descargas/PonyProg2000-2.07c/v/srcx»
make[1]: *** [srcx] Error 2
make[1]: se sale del directorio «/home/mcrven/Descargas/PonyProg2000-2.07c/v»
make: *** [vlib] Error 2

After that I do a "make cleanall"

mcrven@mcrven-KM400:~/Descargas/PonyProg2000-2.07c$ make cleanall
rm -f modaldlg_utilities.o e2app.o e2dlg.o e2cnv.o e2cmdw.o e2awinfo.o device.o e24xx.o e24xx-1.o e24xx-2.o e24xx-5.o e2401.o filebuf.o e2pfbuf.o binfbuf.o busio.o portint.o pgminter.o ponyioint.o rs232int.o easyi2c_interf.o ispinterf.o lptinterf.o lpt_io_interf.o lpt_ext_interf.o i2cbus.o crc.o infomdlg.o eeptypes.o profile.o e2profil.o intfbuf.o motsfbuf.o spi-bus.o at90sbus.o atmegabus.o at90sxx.o at89sbus.o at89sxx.o interfconv.o wait.o microbus.o at93cbus.o at93cxx.o at93cxx8.o at250bus.o at250bus2.o at250xx.o at25xxx.o picbus.o pic16xx.o picbusnew.o pic168xx.o pic12bus.o pic125xx.o sde2506.o sdebus.o avr1200bus.o filldlg.o retrymdlg.o fusemdlg.o progoption.o sernumdlg.o aboutmdlg.o sxbus.o imbus.o nvm3060.o at17xxx.o csmfbuf.o x2444.o x2444bus.o dt006interf.o
cd v; make clean
make[1]: se ingresa al directorio «/home/mcrven/Descargas/PonyProg2000-2.07c/v»
rm -f objx/*.o lib/libVx*
make[1]: se sale del directorio «/home/mcrven/Descargas/PonyProg2000-2.07c/v»
rm -f *.bak *~ *.tmp core *.o *.obj
rm -f dep.file
rm -f ./bin/ponyprog2000

and after a new "make":

mcrven@mcrven-KM400:~/Descargas/PonyProg2000-2.07c$ make
Makefile:350: dep.file: No existe el archivo o el directorio
g++-3.4 -MM -I/home/mcrven/Progetti/PonyProg_Sourceforge/software/v/includex -I/usr/X11R6/include -O2 -DAthena -D_LINUX_ -Wall -fpermissive -Wno-deprecated -I/usr/src/linux-headers-2.6.22-14-generic/include modaldlg_utilities.cpp e2app.cpp e2dlg.cpp e2cnv.cpp e2cmdw.cpp e2awinfo.cpp device.cpp e24xx.cpp e24xx-1.cpp e24xx-2.cpp e24xx-5.cpp e2401.cpp filebuf.cpp e2pfbuf.cpp binfbuf.cpp busio.cpp portint.cpp pgminter.cpp ponyioint.cpp rs232int.cpp easyi2c_interf.cpp ispinterf.cpp lptinterf.cpp lpt_io_interf.cpp lpt_ext_interf.cpp i2cbus.cpp crc.cpp infomdlg.cpp eeptypes.cpp profile.cpp e2profil.cpp intfbuf.cpp motsfbuf.cpp spi-bus.cpp at90sbus.cpp atmegabus.cpp at90sxx.cpp at89sbus.cpp at89sxx.cpp interfconv.cpp wait.cpp microbus.cpp at93cbus.cpp at93cxx.cpp at93cxx8.cpp at250bus.cpp at250bus2.cpp at250xx.cpp at25xxx.cpp picbus.cpp pic16xx.cpp picbusnew.cpp pic168xx.cpp pic12bus.cpp pic125xx.cpp sde2506.cpp sdebus.cpp avr1200bus.cpp filldlg.cpp retrymdlg.cpp fusemdlg.cpp progoption.cpp sernumdlg.cpp aboutmdlg.cpp sxbus.cpp imbus.cpp nvm3060.cpp at17xxx.cpp csmfbuf.cpp x2444.cpp x2444bus.cpp dt006interf.cpp >dep.file
lptinterf.cpp:33:22: v/vdebug.h: No existe el archivo o el directorio
lpt_io_interf.cpp:33:22: v/vdebug.h: No existe el archivo o el directorio
make: *** [dep.file] Error 1

I checked lpintrf.cpp and lpt_io_interf.cpp and they are in the ponyprog directory.

If every one have a solution, please post it.

Best regards

Options: ReplyQuote


Return to LancOS.
Powered by Phorum.